View Issue Details

IDProjectCategoryView StatusLast Update
0000727luatexluatex bugpublic2015-10-28 17:23
ReporterJohannesKuesterAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.70.1 
Target VersionFixed in Version0.85.0 
Summary0000727: Vertical centering of bigops and integrals is wrong
DescriptionLuaTeX (and XeTeX) vertically centers big operators and integrals on the math_axis. This seems to be a legacy from traditional TeX.

But it is wrong for OpenType math fonts. At least it shouldn't be default behaviour of LuaTeX. Also it is not mentioned in the MATH table spec.

In an OpenType math font, the glyphs should appear in the correct vertical position by design.

The assumption that the glyphs are (or should be) symmetrical to the math_axis is obviously not valid for all cases: e.g.
  u+2A1B integral with overbar
  u+2A1C integral with underbar
are not symmetrical, but the integral symbol is at the same position as other integral symbols. Currently LuaTeX moves these glyphs up or down, resulting in wrong positioning.
Tagsmath

Activities

Khaled Hosny

2011-10-10 18:02

developer  

Screenshot.png (10,928 bytes)
Screenshot.png (10,928 bytes)

Khaled Hosny

2011-10-10 18:05

developer   ~0000914

Last edited: 2011-10-10 18:07

View 2 revisions

This behaviour is correct and is already what MS implementation is doing. I attached a screenshot of XITS Math integrals in MS Office 2007, both in display and inline mode. (Note that Office provides no simple way to insert U+2A1B and as U+2A1C as big operators, simply inserting the Unicode characters will treat them as regular symbols, I had to manually edit the docx file to get them. I attached the docx file as well for reference.)

Khaled Hosny

2011-10-10 18:07

developer  

integrals.docx (10,999 bytes)

JohannesKuester

2011-10-11 11:44

reporter   ~0000915

That looks utterly wrong! It shows that the MS implementation is at fault here as well. I think this is simply a legacy from Computer Modern and traditional TeX's handling of math, but it is too simplistic and does not fit for all possible cases.

So at least it should be possible to switch this behaviour off and rely on the glyph position in the font.

Hans Hagen

2015-10-24 16:44

manager   ~0001477

the only robust solution is an extra field in the char data so that it can be 'patched' per character/font at load time \Umathignoreaxis<number> or so

i'll discuss it with taco

Hans Hagen

2015-10-28 17:23

manager   ~0001487

more control wil be provided

Issue History

Date Modified Username Field Change
2011-10-10 13:17 JohannesKuester New Issue
2011-10-10 18:02 Khaled Hosny File Added: Screenshot.png
2011-10-10 18:05 Khaled Hosny Note Added: 0000914
2011-10-10 18:07 Khaled Hosny File Added: integrals.docx
2011-10-10 18:07 Khaled Hosny Note Edited: 0000914 View Revisions
2011-10-11 11:44 JohannesKuester Note Added: 0000915
2012-04-09 04:38 Khaled Hosny Tag Attached: math
2015-10-24 16:44 Hans Hagen Assigned To => Hans Hagen
2015-10-24 16:44 Hans Hagen Status new => assigned
2015-10-24 16:44 Hans Hagen Note Added: 0001477
2015-10-28 17:23 Hans Hagen Note Added: 0001487
2015-10-28 17:23 Hans Hagen Status assigned => closed
2015-10-28 17:23 Hans Hagen Resolution open => fixed
2015-10-28 17:23 Hans Hagen Fixed in Version => 0.85.0